> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List users

> Get a list of all users in your Domo instance.



## OpenAPI

````yaml /openapi/platform/user.yaml GET /v1/users
openapi: 3.1.0
info:
  title: User API
  version: '1.0'
  description: >-
    User objects allow you to manage a user and the user’s attributes such as a
    department, phone number, employee number, email, and username. The API
    allows you to create, retrieve a user or a list of users, and update user
    information.


    ## The user object


    ## Attributes


    Property Name | Type | Description

    ------- | ------- | -------

    name | string | User's full name

    email | string | User's primary email used in profile

    role | string | The role of the user created (available roles are: 'Admin',
    'Privileged', 'Participant')

    title | string | User's job title

    alternateEmail | string | User's secondary email in profile

    phone | string | Primary phone number of user

    location | string | Free text that can be used to define office location
    (e.g. City, State, Country)

    timezone | string | Time zone used to display to user the system times
    throughout Domo application

    locale | date-time | Locale used to display to user the system settings
    throughout Domo application

    employeeNumber | string | Employee number within company
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/users:
    parameters: []
    get:
      summary: List users
      description: Get a list of all users in your Domo instance.
      parameters:
        - schema:
            type: integer
          in: query
          name: limit
          description: >-
            The amount of users to return in the list. The default is 50 and the
            maximum is 500.
        - schema:
            type: integer
          in: query
          name: offset
          description: >-
            The offset of the user ID to begin list of users within the
            response.
      responses:
        '200':
          description: >-
            Returns all user objects that meet argument criteria from original
            request.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                    title:
                      type: string
                    email:
                      type: string
                    role:
                      type: string
                    phone:
                      type: string
                    name:
                      type: string
                x-examples:
                  Example 1:
                    - id: 535460005
                      title: Supreme Ninja Master
                      email: hattori.hanzo@domo.com
                      role: Admin
                      phone: 801-787-8456
                      name: Hattori Hanzo
                    - id: 1845705061
                      title: Game Theory
                      email: john.nash@domo.com
                      role: Admin
                      name: John Forbes Nash, Jr.
                    - id: 55541092
                      title: Electric Mayhem
                      email: doctor.teeth@domo.com
                      role: Privileged
                      name: Dr. Teeth
              examples:
                Example 1:
                  value:
                    - id: 535460005
                      title: Supreme Ninja Master
                      email: hattori.hanzo@domo.com
                      role: Admin
                      phone: 801-787-8456
                      name: Hattori Hanzo
                    - id: 1845705061
                      title: Game Theory
                      email: john.nash@domo.com
                      role: Admin
                      name: John Forbes Nash, Jr.
                    - id: 55541092
                      title: Electric Mayhem
                      email: doctor.teeth@domo.com
                      role: Privileged
                      name: Dr. Teeth
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````